Bug 1022473 - guest resume from S3 while close spice window
guest resume from S3 while close spice window
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Virt Viewer Maint
Virtualization Bugs
:
Depends On:
Blocks: 1022855
  Show dependency treegraph
 
Reported: 2013-10-23 07:09 EDT by Xu Han
Modified: 2017-03-23 09:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1022855 (view as bug list)
Environment:
Last Closed: 2017-03-23 09:07:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xu Han 2013-10-23 07:09:42 EDT
Description of problem:
guest resume from S3 while close spice window

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-1.5.3-10.el7.x86_64
virt-viewer-0.5.6-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. boot guest with spice + qxl and enable S3.
# /usr/libexec/qemu-kvm ... \
-vga qxl -spice disable-ticketing,port=5931 \
-global PIIX4_PM.disable_s3=0
2. use remote-viewer connect to guest.
# remote-viewer spice:$host_ip:5931
3. suspend guest.
# pm-suspend
4. close spice window.

Actual results:
after step4 guest resume.

Expected results:
guest still suspend.

Additional info:
use vnc not hit this issue.
Comment 2 Xu Han 2013-10-24 04:15:28 EDT
Test with '-vga cirrus' and '-vga std'. rhel7.0 and rhel6.5 both hit this issue while use spice.
And rhel7.0 spice window still in frozen status when reconnect.

Please track bug 1022855 as well.
Comment 3 RHEL Product and Program Management 2014-03-22 02:34:56 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Christophe Fergeau 2017-03-23 09:07:01 EDT
This happens when trying to close the SPICE window, and when the "Do you want to close the session" dialog is shown. This dialog grabs the keyboard, causing grab_notify(was_grabbed = FALSE) in spice-widget.c to be triggered. This will sed some keys to the guest, waking it up.
If you check the checkbox to always hide the dialog, then quitting remote-viewer does not wake up the guest.

This bug is old, has no customer case, is in an unsupported configuration (S3) and has a simple work-around, so I'll close it.

Note You need to log in before you can comment on or make changes to this bug.